#include <stdio.h>
#include <iostream.h>
#include <ctype.h>
#include <string.h>

void main(int argc, char **argv) {
//    for (int i=0; i<argc; i++) {
//      cout << i << "-te Argument:" << argv[i] << endl;
//    }

  int ivor=0;
  int inach=strlen(argv[1]);
  while(isspace(argv[1][ivor])){
    ivor++;
  }
  while(isspace(argv[1][inach-1])){
    inach--;
  }
  int i=0;
  char temp[inach+2];
  for(ivor; ivor<inach; ivor++){
    temp[i]=argv[1][ivor];
    i++;
  }
  temp[i]='\0';
  cout << temp;  
}
